Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
vm_exec.c File Reference
`#include <math.h>`
`#include "vm.inc"`

Go to the source code of this file.

## Macros
#define | DECL_SC_REG(type, r, reg) register type reg_##r

## Functions
const void ** | rb_vm_get_insns_address_table (void)

## Macro Definition Documentation

## ◆ DECL_SC_REG

#define DECL_SC_REG | ( |  | type,
|  |  | r,
|  |  | reg
| ) |  | register type reg_##r

Definition at line 31 of file vm_exec.c.

## Function Documentation

## ◆ rb_vm_get_insns_address_table()

const void** rb_vm_get_insns_address_table | ( | void |  | ) |

Definition at line 126 of file vm_exec.c.

Referenced by rb_vm_encoded_insn_data_table_init().